### Method

# Gck Session login_async

#### Declaration [src]

    void
    gck_session_login_async (
      GckSession* self,
      gulong user_type,
      const guchar* pin,
      gsize n_pin,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Login the user on the session. This call will return immediately and completes asynchronously.

This method completes asynchronously. Use `gck_session_login_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`user_type`

  Type: `gulong`

  The type of login user.

`pin`

  Type: An array of `guchar`

  The user’s PIN, or `NULL` for protected authentication path.

  The argument can be `NULL`.
  The length of the array is specified in the `n_pin` argument.
  The data is owned by the caller of the method.

`n_pin`

  Type: `gsize`

  The length of the PIN.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.